#pragma once
#include "Entity.h"
#define CS_AMSOUNDWAVEBASE_CREATENAME L"CS_am_soundwavebase"
class CS_AmSoundWaveBase :
    public ActionEntity
{
public:
    CS_AmSoundWaveBase(std::shared_ptr<Entity> parent);
    void Step() override;
    int existTime = 300;
};

std::shared_ptr<Entity> CreateCS_AmSoundWaveBase();